Skip to content

Partially updates a application with the specified ID.

Request

This method will patch an existing application with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the application to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)
]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/applications/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The application was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
add_onsArray of objects
additional_chapter_idsArray of strings(Additional Chapters)

Additional chapter IDs

application_group_idstring(Application Group)

The associated application group

assigned_contactsArray of objects
average_scorenumber, (float)(Average Score)

The average score for this submission in the most recent round

bucket_idstring(Bucket)required

The review bucket

chapter_idstring(Chapter)

The chapter ID

contact_idstring(Contact)required

The owner of this membership

corporate_member_idsArray of strings(Corporate Members)

The individuals that should receive the corporate membership

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of the application

do_not_renewboolean(Do Not Renew)

Do not attempt to automatically renew this membership

do_not_show_in_directoryboolean(Do Not Show In Directory)

Whether or not this membership should be hidden from the directory

group_application_process_idstring(Group Application Process)

The associated application group application

group_ordernumber, (float)(Group Order)

The order of the application in the group

hidden_directory_fieldsArray of strings(Hidden Directory Fields)

The fields that should not be shown for this member in the directory

idstring(ID)^[\w|-]+$required

The unique, string identifier of this application

included_merchandiseArray of objects
last_review_status_changestring, (date-time)(Last Review Status Change)

The date that the review status was last changed

membership_package_idstring(Membership Package)

The membership package

membership_type_idstring(Membership Type)

The membership type

namestring(Name)required

The name on the application

notesstring(Notes)

Notes

order_idstring(Order)

The order id

order_line_item_idstring(Order Line Item)

The order line item id

organization_idstring(Organization)required

The organizational owner of this membership

override_bucket_assignmentboolean(Override Bucket Assignment)

If set, the bucket is not calculated automatically, and instead manually assigned

override_join_datestring(Override Join Date)

Allows for applications that override join date

owner_typestring(Owner Type)required

The type of owner

Enum:"contact""organization"
pending_console_reviewboolean(Pending Console Review)

If true, then this record has been reviewed and now needs action by the staff

process_idstring(Process)required

The application process used

referral_contact_idstring(Referral Contact)

The individual who referred this member

renew_automaticallyboolean(Renew Automatically)

If set, then this membership will automatically renew with the card on file

review_statusstring(Review Status)

The review status of this application

Enum:"accepted""alternate""declined""pending review"
reviewer_recommendationstring(Reviewer Recommendation)

Aggregate recommendation across all reviewers

round_idstring(Round)

The review round

section_idsArray of strings(Sections)
statusstring(Status)required

The membership application status

Enum:"approved""not yet submitted""rejected""under review"
status_reason_idstring(Status Reason)

The reason that a membership application is in the specific status

submission_space_idstring(Submission Space)

The submission space to which this object belongs

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

total_scorenumber, (float)(Total Score)

The total score for this submission in the most recent round

typestring(Type)required
Enum:"change affiliations""join""reinstatement""renewal"
Response
{ "add_ons": [ { … } ], "additional_chapter_ids": [ "string" ], "application_group_id": "string", "assigned_contacts": [ { … } ], "average_score": 0.1, "bucket_id": "string", "chapter_id": "string", "contact_id": "string", "corporate_member_ids": [ "string" ], "custom_field_values": [ { … } ], "date": "2019-08-24T14:15:22Z", "do_not_renew": true, "do_not_show_in_directory": true, "group_application_process_id": "string", "group_order": 0.1, "hidden_directory_fields": [ "string" ], "id": "string", "included_merchandise": [ { … } ], "last_review_status_change": "2019-08-24T14:15:22Z", "membership_package_id": "string", "membership_type_id": "string", "name": "string", "notes": "string", "order_id": "string", "order_line_item_id": "string", "organization_id": "string", "override_bucket_assignment": true, "override_join_date": "string", "owner_type": "contact", "pending_console_review": true, "process_id": "string", "referral_contact_id": "string", "renew_automatically": true, "review_status": "accepted", "reviewer_recommendation": "string", "round_id": "string", "section_ids": [ "string" ], "status": "approved", "status_reason_id": "string", "submission_space_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_score": 0.1, "type": "change affiliations" }